~ubuntu-branches/ubuntu/lucid/wpasupplicant/lucid-updates

« back to all changes in this revision

Viewing changes to debian/default/wpasupplicant

  • Committer: Bazaar Package Importer
  • Author(s): Kyle McMartin
  • Date: 2005-02-15 00:51:28 UTC
  • Revision ID: james.westby@ubuntu.com-20050215005128-4cnlxpp3vc3synqq
Tags: 0.3.8-1
* New upstream release.
* This release fixes a crash due to a buffer overflow, caused by
  a missing validation step on EAPOL-Key frames. Receiving malformed
  frames trigger the crash. More information available in the notes:
  http://lists.shmoo.com/pipermail/hostap/2005-February/009465.html
* Fix some badness with the init script. Missed the -B option
  to daemonize wpa_supplicant... pidfile is not currently being used
  as it requires modifying wpa_supplicant.
* patches/
  - 12_ipw_open_aps (closes: #295143)
    + merge patch against driver_ipw to fix association with
      open access points.

Show diffs side-by-side

added added

removed removed

Lines of Context:
 
1
# /etc/default/wpasupplicant
 
2
 
 
3
# WARNING! Make sure you have a configuration file!
 
4
 
 
5
ENABLED=0
 
6
 
 
7
# Useful flags:
 
8
#  -D <driver>          Wireless Driver
 
9
#  -i <ifname>          Interface (required, unless specified in config)
 
10
#  -c <config file>     Configuration file
 
11
#  -d                   Debugging (-dd for more)
 
12
#  -w                   Wait for interface to come up
 
13
 
 
14
OPTIONS="-w"